Package org.spongepowered.asm.mixin.injection.invoke.util

## Class InsnFinder

- java.lang.Object
- - org.spongepowered.asm.mixin.injection.invoke.util.InsnFinder

    public class InsnFinder
    extends java.lang.Object

Utility class for finding instructions using static analysis

### Constructor Summary

Constructors
`InsnFinder()`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.objectweb.asm.tree.AbstractInsnNode` `findPopInsn​(Target target, org.objectweb.asm.tree.AbstractInsnNode node)` Find the instruction which pops the value pushed by the specified instruction

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### InsnFinder

    public InsnFinder()

### Method Detail

#### findPopInsn

    public org.objectweb.asm.tree.AbstractInsnNode findPopInsn​(Target target,
                                                               org.objectweb.asm.tree.AbstractInsnNode node)

Find the instruction which pops the value pushed by the specified instruction

Parameters:
  `target` - target method
  `node` - push node
Returns:
  pop instruction or null if not found